

    








                             RSPLOT V1.1 User's Guide




















                       Copyright (c) 1988, By Bob Silliker
                               All Rights Reserved




















                       THIS SOFTWARE IS FREEWARE AND IS NOT
                              TO BE SOLD IN ANY FORM




    


    V1.1                       RSPLOT User's Guide                           1


    1.0 Introduction

    Rsplot  is  a general purpose data plotting program that will work in both
    MEDIUM  and  HI  resolution  modes  on  the  ST  series of computers.  The
    program  takes white space separated columns of data stored in ascii files
    and  plots  it under user control.  The user selects which columns of data
    to  plot  and  has  complete  control  over  the  axis scales, marking and
    labelling.   Plots  generated in one resolution can be viewed in the other
    resolution.  

    The  program  provides  for  independant  Linear or Log10 axis scaling for
    each  axis.   Linear  scaling can be 1, 2 or 4 quadrants and Log10 scaling
    is 1 quadrant.  

    The  program was written primarily for use with output files from the OPUS
    spreadsheet  program that was published in the September 1988 issue of the
    ST  Log  magazine (I have no connection with ST Log magazine except that I
    purchased  a  few  magazines).  However, it can be used with any data file
    that has columns of numerical ascii data.  






























    This  manual  was  generated  using  PROFF  V1.0 by Ozan S. Yigit & Steven
    Tress.  




    


    V1.1                       RSPLOT User's Guide                           2


    2.0 About the program

    Version  1.1  has  a  fix  made  to  the parsing of the command line to be
    compatible with Mark Williams Shell.  

    Version  1.0 is the first distribution of RSPLOT.  There are no known bugs
    at this time.  


        2.1 Applications

        The  program  supports 10 graphs per application (an application being
        one  RSPLOT  configuration  file).   Each  graph  can contain up to 10
        plots  with  each plot having it's own set of attributes (lines, bars,
        markers  etc).   It  is  possible  to  mix  the types of plots on each
        graph.   The  plot types are lines, lines with markers, markers, group
        bars, stacked bars and overlayed bars.  

        The  RSPLOT  configuration  file  has  the  extension  .PLT  and  when
        creating   or   renaming  applications  the  program  will  force  the
        extension,  ignoring anything you put in.  


        2.2 Axis

        Each  graph  has one X axis and two Y (a left and a right).  Each plot
        is  associated with a Y axis.  This makes is possible to view two sets
        of  data that have a common X axis but vary widely in Y values or have
        different units of measure (such as current and temperature).  

        Each  axis  can  optionally  have  an  axis  line, axis numbering, tic
        marks,  grid  lines  and  a  label.   Each axis can also have either a
        linear scale or a log10 scale.  


        2.3 User Lines

        Each  graph  has 4 user defined lines associated with each axis.  Each
        line  is  given  an  axis  position  and a string of text that will be
        printed  on  the  line.   The X axis lines are vertical and the Y axis
        lines  are  horizontal.   The  labels  for  the  X  lines  are display
        centered  at  the  top  of  the  line.  The labels for the left Y axis
        lines  are  displayed  over the line on the left of the screen and the
        labels  for  the  right Y axis lines are displyed over the line on the
        right of the screen.  


        2.4 Data Files

        The  user  can  set  up  10 data files per application.  Each file can
        contain  upto  65530 lines of data.  Each line can be a maximum of 640
        characters  or  64 columns.  Anything after either of these two limits
        will  be  ignored.   A  line is defined by anything upto and including


    


    V1.1                       RSPLOT User's Guide                           3


        the  newline  character  (0x0A).  Anything after the newline character
        is  part  of the next line.  The program will ignore any non-printable
        ascii  characters  and  lines  that  do not contain any numbers.  When
        setting  up  a  plot you select the two columns (1 based) that will be
        used  for  X and Y values.  If the X column is 0 then the program will
        generate  it's  own X values.  These values start at X value 1 for the
        first  Y  value  and  increment  by the X value by Y for each Y value.
        This makes it possible to view a single column of data.  


        2.5 Data Filtering

        For  each  plot there are X and Y minimum and maximum setpoint values.
        Initially   these  values  are  set  to  nothing  and  the  filter  is
        disabled.   When legal values are set up and the filter is enabled the
        program  will  check each X and Y value against the appropriate filter
        values  and  will plot points that fall within the setpoints inclusive
        (that  means  if the X setpoints are 10 to 100 and the Y setpoints are
        0  to  1  then points will be plotted where X >= 10 and X <= 100 and Y
        >= 0 and Y <= 1).  


        2.6 Rotating Data

        A  new  feature to the program has been added that allows rotating the
        data  loaded  from  the  data  file  such  that  rows  and columns are
        swapped.   This  provides  a  means  of  viewing  data  by rows.  When
        viewing  a  data,  in  the data window, that has been rotated the file
        rows  are  now  data  columns and file columns are now data rows.  The
        number  of rows and columns that can be rotated this way is limited to
        64  of  either  and  the program will limit this when loading the data
        file.  

        If  you  have  a  data file that has more that 64 rows or columns that
        you  want  rotated then you will have to write a conversion utility to
        rotate the data before using it with RSPLOT.  


        2.7 Memory Usage

        All  data for a data file is memory resident and are stored as doubles
        (that's  eight bytes per value).  If you have alot of large data files
        you  may  run  into  memory problems.  There are not many solutions to
        this  problem  at  this  time.   One solution is to try to keeping the
        organization  of  the  data  files  such  that  there  are  no  unused
        columns.   You  can  also try the usual 'remove' all desk accessories'
        trick.   The  only other solution is to break the data file into parts
        and create a separate configuration file for each data file (YUK!).  


        2.8 Hard Copy

        The  program  currently will output graphs into DEGAS compatible files


    


    V1.1                       RSPLOT User's Guide                           4


        or  print  graphs  onto EPSON compatible printers.  The driver used to
        make  hardcopies  is  the same driver that the ALT-HELP sequence uses.
        So  if  you  can  do  screen  dumps with ALT-HELP then you can use the
        Hardcopy  menu entry to print graphs.  If you have access to DEGAS you
        can  use  the  DEGAS  printer  drivers  or  you can design your own by
        obtaining  a copy of the DEGAS printer driver tool kit that Tom Hudson
        wrote  and  which  appeared  in  START  magazine  Spring 1987 Volume 1
        number  4  (I  have  no  connection  with  either  Tom Hudson or START
        magazine, except that I am a, somewhat, satisfied customer).  


    3.0 Usage

    rsplot.ttp [graph-configuration-file-path] 

    As  the command line indicates the program takes an optional argument that
    is  a  path  to  a  graph  configuration  file  which  will  be loaded and
    displayed  at  program  startup.  If you don't specify a graph application
    file  on  the  command line, or the graph application file does not exist,
    the program will display a blank screen with the menu bar.  

        3.1 Create the application

        To  start  a  new  graph application select the New menu option in the
        File  Menu.  The program will open the graph window and create a graph
        with  the  default  graph  attributes  and axis scales.  At this point
        there are no data files loaded or plots enabled.  


        3.2 Set up the data files

        To  set  up  the  data  files select the Data Setup menu option in the
        Graph  menu.  This will display a dialog contains text editable fields
        for  10  data  files.  Enter the data file paths into the paths fields
        then  select  which data files are to be loaded.  Only data files with
        the  enable arrow highlighted will be loaded.  If you want to rotate a
        data  file  then  select the rotate arrow for that file.  Select the [
        OK  ]  exit  button  and the program will attempt to open the selected
        data  files.   If a file can't be opened then the program will display
        the error dialog for that file when you close the dialog.  


        3.3 Set up the axis scales

        To  set  up  the  axis scales select the Axis Setup menu option in the
        Attr  menu.   The  axis  scale  dialog  will be displayed.  Set up the
        XMIN,  XMAX and Y1MIN and Y1MAX scale values.  If you will be plotting
        two  plots on the same graph then set up the Y2MIN and Y2MAX values as
        well.  

        If  you  want an axis to have a LOG10 scale then highlight the [ LOG ]
        button for that axis.  Otherwise the axis scales will be linear.  



    


    V1.1                       RSPLOT User's Guide                           5


        Now  it is time to decide how the axis numbers will be displayed.  You
        have a choice of: 

        AUTO 
            Let  the program chose how to number the axis.  The program does a
            reasonable job of axis numbering.  

        STEP 
            Display  numbers  by  a fixed increment from the XMIN value.  This
            requires the STEP value to be set up.  

        DIV 
            Display  a  fixed  number of numbers.  This requires the DIV value
            to be set up.  

        If  desired  set  the  number  of decimal places that the axis numbers
        will be displayed to bu filling in the DECIMALS value.  

        This dialog is explained in section 5.2.  


        3.4 Set up the axis attributes

        If  the  default  axis  attributes are not what you want on your graph
        then  select  the  Graph  Attr menu option in the Attr menu.  A dialog
        will   be   displayed   that  contains  enable  flags  for  the  graph
        attributes.   Each  axis  has  it's  own  set  of attribute flags.  To
        enable  an  attribute  for  an axis highlight the axis name associated
        with the attribute.  

        This dialog is explained in section 5.3.  


        3.5 Set up the plots

        At  this  time  the graph application has been created, the data files
        have  been  loaded and the axis scales and attibutes have been set up.
        To  view  a  plot select the Plot Attr menu entry in the Attr menu.  A
        dialog  will  be  displayed  that contains all of the plot attributes.
        Set  up  the  file  number,  x  and y columns, select the type of plot
        (lines,  markers,  bars  ...)  and the style (line style, marker type,
        fill  pattern),  highlight the [ ENABLE ] button and select the [ OK ]
        button.   The  dialog  will close and the screen will be redrawn.  Any
        data  points  that  fall  within  the X and Y limits set for the graph
        will be displayed.  

        If  you want more than one plot on the graph then select the Plot Attr
        menu  option in the Attr menu.  The dialog for the last plot displayed
        in  the  dialog will be re-displayed.  Select the [ Next ] or [ Prev ]
        buttons  until  the  desired plot number appears.  Set up the new plot
        type  and  enable  the  plot.   Close  the  dialog with [ OK ] and the
        screen will be redrawn.  



    


    V1.1                       RSPLOT User's Guide                           6


        This dialog is explained in section 5.1.  


        3.6 Add a graph

        To  add  a graph select the Graph Setup menu option in the Graph menu.
        This  will display a dialog that contains the first graph title and an
        enable  flag  for  10  graphs.  To add a new graph enter a graph title
        (optional)  and  highlight the enable arrow for the new graph.  Select
        the  [  OK ] exit button.  The new graph will not be shown yet (unless
        it  is  the  only  graph).   Using  the Next Graph and Prev Graph menu
        options  in  the  Graph  dialog  page through the graphs until the new
        graph  is  displayed.   Follow  steps  3.3 and 3.4 above to set up the
        plots and axis scales.  


    4.0 Menu Entries

        4.1 Menu Layout

        --------------------------------------------------------------------
         File    Graph       Attr         User         Output   Misc
        --------------------------------------------------------------------
        |New    |Graph Setup|Plot Attr   |X Numbering |Hardcopy|Blowup     |
        |Open   |Data Setup |Axis Scales |Y1 Numbering|--------|Reduce     |
        |-------|Plot Setup |Axis Attr   |Y2 Numbering|Degas   |Value      |
        |Save   |-----------|------------|------------|--------|-----------|
        |Save As|Next Graph |Graph Legend|X Lines     |        |Color      |
        |Close  |Prev Graph |------------|Y1 Lines    |         -----------
        |-------|-----------|Graph Titles|Y2 Lines    |
        |Quit   |View Data  |Graph Labels|------------ 
         ------- ----------- ------------ 


        4.2 File Menu

        The  file  menu  contains  menu  entries  that  control  the creating,
        opening,  saving  and  closing  of  graph  applications,  and  program
        termination.  

            New 
                Start  a  new  graph application.  The program will enable the
                first  graph.   The  user  must  set  up  the data files, plot
                attibutes, axis scales, and axis attributes.  

            Open 
                Open  an  existing  graph  application.  There can be only one
                graph application open at a time.  

            Save 
                Store   the   graph   application   into  the  existing  graph
                application  file.   Only  the graphs that are enabled will be
                saved.   If  you  disable a graph then save and quit the graph


    


    V1.1                       RSPLOT User's Guide                           7


                that  was  disabled  will not be saved in the file.  This menu
                entry   is   only   available  if  you  have  opened  a  graph
                application  or  if  you  have created a new graph application
                and have saved it using the Save As menu option.  

            Save As 
                Save  the  graph  application  into  a  new  graph application
                file.   This  is  used  when  you  want  to  save  a new graph
                application or rename an existing one.  

            Close 
                Close  the graph application.  If you have made changes to the
                graph  application  and  not save them you will be prompted to
                SAVE then CLOSE, CLOSE or CANCEL.  

            Quit 
                Terminate  the  rsplot  program  and  return  to  the shell or
                desktop  that  started the execution of rsplot.  If you have a
                graph  application  open  and  you  have  made changes and not
                saved  them  you  will  be prompted tp SAVE then QUIT, QUIT or
                CANCEL.  


        4.3 Graph Menu

        The  graph  menu  contains  menu  entries  that  give the user limited
        access  to  all  the  graphs,  data  files,  and plots for the current
        graph.  

            Graph Setup 
                Displays  an  editable  dialog  that  contains the first title
                line  and  the  enable  flag for each graph.  Only graphs with
                their enable flag highlighted are available for viewing.  

            Plot Setup 
                Displays  an  editable  dialog  that contains plot information
                for  the  current  graph.  There are utpto 10 plots per graph.
                The  dialog  contains  the plot title that is displayed in the
                legend  (when  the  legend  is  enabled)  the  file  number, X
                column,  Y  column,  Y axis association, and plot enable flag.
                Only  plots  that  have  their enable flag highlighted will be
                displayed on the graph.  

            Data Setup 
                Displays  a  dialog  that contains the paths to the data and a
                flag  that  indicates  whether the data for the file should be
                loaded.    Only   data   files   that  have  their  load  flag
                highlighted will be available for plotting.  

            Next Graph 
                Display  the  next graph.  This menu entry will be disabled if
                there is only one graph enabled.  



    


    V1.1                       RSPLOT User's Guide                           8


            Prev Graph 
                Display  the previous graph.  This menu entry will be disabled
                when there is only one graph enabled.  

            View Data 
                Display  the  data  loaded  for  any  data  file that has been
                loaded.   When selected this menu entry displays a dialog that
                shows  a  4 column by 14 line window of the current data file.
                The  user  can  position  the window anywhere in the data file
                using the arrow buttons.  


        4.4 Attr Menu

        The  attr  menu  contains  various menu options that enable to user to
        set graph and plot attributes for the current graph.  

            Plot Attr 
                Display  the  plot  attribute  dialog  and  allow  the user to
                change  plot  attributes.   You can change the plot name, data
                file   number,   X   axis   column,  Y  axis  column,  Y  axis
                association,  bar width, stack number, plot type, marker type,
                line style, and fill pattern.  

            Axis Scales 
                Display  the  axis  scale dialog and allow the user to set the
                X,  Y1  and  Y2  axis  scales,  how the axis numbering will be
                generated  (either auto, step or division), and whether Y axis
                labels are left or right justified.  

            Axis Attr 
                Display  the  axis  attribute  dialog  and  allow  the user to
                enable/disable  labels,  numbering,  lines, tics, origin line,
                grid lines, and no negative values for each axis.  

            Graph Legend 
                Display  the  graph  legend.   When this menu entry is checked
                the  program  will  display the graph legend in the upper left
                corner  of  the  graph.  Only those plots that are enabled and
                have a plot name will be displayed in the legend.  

            Graph Titles 
                Display  an editable dialog showing the three graph titles for
                the  current graph.  The three graph titles are shown centered
                at  the  top of the graph in the order specified in the dialog
                (the first at the top, the second under it, ...).  

            Graph Labels 
                Display  an  editable  dialog  showing  the  three  graph axis
                labels.   The X axis label is displayed centered at the bottom
                of  the  graph  under the X axis labelling.  The Y1 axis label
                is  displayed  centered  (vertically)  on the left side of the
                graph  and  Y1 axis labelling.  The Y2 axis label is displayed


    


    V1.1                       RSPLOT User's Guide                           9


                centered  on  the  on  right  side  of  the  graph and Y2 axis
                labelling.  


        4.4 User Menu

        The  user menu contains menu entries that allow the user to change the
        labelling  of an axis from numeric to a ascii strings and add lines to
        each axis at fixed points.  

            X Numbering 
            Y1 Numbering 
            Y2 Numbering 
                Each  dialog  contains  12  value-string  pairs and and enable
                button.   When  the  enable  button  is  highlighted  and  the
                program  draws  the  axis  numbering  (for  the  axis with the
                enable  highlighted)  the axis numbering will be replaced with
                these  12  strings.  If you want the tic marks to line up with
                the  axis  strings  then  you  must  use  the Axis Scales menu
                option  to  set  the  axis  min,  max  and  step  values (step
                enabled) to the required values.  

            X Lines 
                Add vertical lines associated with the X axis.  
            Y1 Lines 
                Add horizontal lines associtaed with the left Y axis.  
            Y2 Lines 
                Add horizontal lines associated with the right Y axis.  


        4.5 Output Menu

        This  output  menu  contains  menu entries to create hardcopies of the
        graphs  or  store  the  graph  into  a  file  for  processing by other
        programs.  

            Hardcopy 
                Displays  an  editable  dialog  with  1  button for each graph
                which  the  user  selects  to be output to an EPSON compatible
                printer.   When  the  user  selects  the  hardcopy  button the
                screen  will  clear  and the first graph selected for hardcopy
                will  be  displayed.  At this point the user is presented with
                a  dialog  indicating  that the printer be set up.  You should
                adjust  the  paper  in the printer at the desired position and
                select  the [ EPSON HARDCOPY ] button.  The program will pause
                with  this  dialog  before  plotting  each  graph.   With  the
                correct  adjustment  of  the  printer  the program will plot 2
                graphs per page.  

            Degas 
                Output  the  current  graph  into a degas formatted file.  The
                program  will  display  the  standard file selector dialog and
                when  the  user  selects  [  OK  ] the program will create the


    


    V1.1                       RSPLOT User's Guide                          10


                degas file.  


        4.6 Misc Menu 

        The  misc menu contains menu entries that allow changing the view of a
        graph  and  control there drawing of the graphs.  You can also set the
        overall  screen  colors.   Blowup,  Reduce  and  Value share the mouse
        pointer  and  the  left  mouse button.  Only one can be checked at any
        one time.  

            Blowup 
                When  this  is   checked  the user can blowup a portion of the
                graph   (making  it  larger  therefore  showing  less  of  the
                graph).    Using  the  mouse pointer and the left mouse button
                the  user draws a box on the screen and, when the mouse button
                is  release,  the  program will rescale the graph to show only
                the area in the box.  

                There  is no undo for this operation (other than resetting the
                axis scales using the Axis Scales menu entry).  

            Reduce 
                When  this  is  checked  the  user can reduce a portion of the
                graph  (make  it  smaller therfore showing more of the graph).
                Using  the  mouse  pointer  and the left mouse button the user
                draws  a  box  on  the  screen  and,  when the mouse button is
                released,  the  program  will  set the axis scales so that the
                information  that  is   currently  on the screen is now inside
                the box.  It takes a little getting used to.  

                There  is no undo for this operation (other than resetting the
                axis scales using the Axis Scales menu entry).  

            Value 
                Enable  the  mouse  to  be  used as a pointer to determine the
                values  of  points in the plotting area.  When this menu entry
                is  checked,  and the user presses the left mouse button while
                the  mouse  is  in the plotting area, the program will display
                the  X,  Y1  and  Y2  values  the  of  the  mouse pointer in a
                dialog.  

            Color 
                Displays  a  dialog  that  allows  the  user to set the screen
                colors.  


    5.0 Important Dialogs

        5.1 Plot Attributes Dialog

            PLOT # 
                The  current  plot number.  This is an uneditable field except


    


    V1.1                       RSPLOT User's Guide                          11


                that  the user can use the NEXT and PREV buttons to change the
                current plot.  

            DATA FILE 
                The  number  of  the  data  file  that  the data will be taken
                from.   The number is found on the left side of the Data Setup
                dialog.   If  the data file has not been enabled then the plot
                will not be shown.  

            X COLUMN 
                The  column  number  (1 based) in the data file where the data
                for  the  X  axis  will be taken from.  If the column does not
                exist  or  does  not  have  any numeric values in it, the plot
                will not be shown.  

                If  the  X  column  is set to 0 then the program will generate
                it's  own  X column starting at 1 for the first data point and
                incrementing  by  one  for  each  row  in the Y column.  Blank
                fields  in  the Y column get a number.  This allows plotting a
                single  column  of  data  without having to create a column of
                sequential numbers.  A nice idea.  Too bad it wasn't mine.  

            Y COLUMN 
                The  column  number  (1 based) in the data file where the data
                for  the  Y  axis  will be taken from.  If the column does not
                exist  or  does  not  have  any numeric values in it, the plot
                will not be shown.  

            Y AXIS 
                The  Y  axis  that  the  plot  will be associated with.  Legal
                values  are  1  - left side or 2 - right side.  The two Y axis
                can  be scaled independantly and so it is possible to view two
                sets  of  data,  that  have a common X axis but whose Y values
                are orders of magnitude apart, on the same graph.  

            PLOT NAME 
                The  name  of  the  plot.   This  string will be placed in the
                Graph  Legend  across  the  marker  type,  line  style or fill
                pattern when the Legend is enabled.  

            BAR WIDTH 
                The width of the bars when bars are displayed.  

            STACK # 
                The  stack  number  when stacked bars are being plotted.  This
                is  used  when  you  are plotting two or more separate sets of
                stacked bars on the same graph.  

            PLOT TYPE 
                Set the plot type.  The user has the option of selecting: 

                LINES 
                        Draw  lines  between  points.   To  prevent lines from


    


    V1.1                       RSPLOT User's Guide                          12


                        being  drawn backwards (right to left) the data should
                        be sorted ascending by the X column.  

                MARKS 
                        Draw a marker at each point.  

                LINES AND MARKS 
                        Draw lines and markers at each point.  

                GROUP BAR 
                        Draw  bars  using bar width.  When used with more that
                        one  plot  the  bars are placed side by side where the
                        points match on the X axis.  

                STACK BAR 
                        Draw  stacked  bars  using  bar width.  When used with
                        more  than  one  plot  the  bars are stacked on top of
                        each  other  where  points match on the X axis and the
                        STACK # for the plots are the same.  

                OVERLAY BAR 
                        Draw  overlay  bars  using  bar width.  When used with
                        more  than  one  plot the bars will overlap (sometimes
                        hiding other bars).  

                NOTE: 
                        Plotting  multiple plots with bars works best when the
                        X  axis  is common to all the plots.  This is really a
                        must when stacking bars.  

            MARKER TYPE 
                Set the marker used when MARKS are enabled.  

            LINE STYLE 
                Set the line style used when LINES are enabled.  

            FILL PATTERN 
                Set the fill pattern when BARS are enable.  

            FILTER 
                Displays  the  filter  set  up  dialog  on  top  of  the  plot
                attribute  dialog.  Each plot can reject data that fall out of
                X  and  Y  ranges.   This  dialog  provides a means of setting
                minimum  and  maximum  X  and  Y values.  The filter has to be
                enabled in order to reject data.  

            ENABLE 
                Enable  the  plot  for  display.   This must be highlighted in
                order to show a plot.  

            OK 
                Store  the  changes  made  to  the  current plot and close the
                dialog.  


    


    V1.1                       RSPLOT User's Guide                          13


            NEXT 
                Display  the  attributes  for  the  next plot.  If the current
                plot  is  10  then  the next plot will be plot 1.  The changes
                made  to  the  current plot are stored as if the [ OK ] button
                was selected.  

            PREV 
                Display  the  attributes  for the previous plot If the current
                plot  is 1 then the previos plot will be 10.  The changes made
                to  the  current  plot  are stored as if the [ OK ] button was
                selected.  

            CANCEL 
                Cancel  the  changes  made  to  the current plot and close the
                dialog.   If  the  user  has made changes to a number of plots
                using  NEXT  and PREV the changes made to the other plots will
                not be cancelled.  


        5.2 Graph Scales Dialog

            GRAPH # 
                The current graph number.  This is an uneditable field.  

            X MIN 
            Y1 MIN 
            Y2 MIN 
                The minimum limit for the the specified axis.  

            X MAX Y1 MAX Y2 MAX 
                The  maximum  limit  for  the  specified  axis.   This must be
                larger  than  the  MIN  limit for the axis.  If it is not then
                the  MIN  and  MAX  limits will be swapped.  If the limits are
                the  same then the program will keep the old limits.  

            X STEP 
            Y1 STEP 
            Y2 STEP 
                The  step  value  for axis numbering.  Axis numbers will occur
                at  each  N  * STEP + MIN position.  If STEP is blank, zero or
                illegal then the axis numbering will not be shown.  

            X DIV 
            Y1 DIV 
            Y2 DIV 
                The  number  of  divisions  to  divide the axis range into for
                axis  numbering.   Axis  number will appear at each N * (MAX -
                MIN)/DIV  +  MIN  position.   If DIV is blank, zero or illegal
                then the axis numbering will not be shown.  

            LOG 
                Axis  scale  is  logarithmic.   All axis scales must be > 0.0.
                If  you  try to set the minimum to <= 0.0 the program will use


    


    V1.1                       RSPLOT User's Guide                          14


                1.0.   You can, however, set the axis scales to something like
                .001 -> 1000.  Which will span 6 decades.  

            AUTO 
                Enable  auto numbering of the axis.  The program tries to keep
                the  axis  numbering  to  a reasonable number of digits.  It's
                not  perfect.   When  AUTO  is enabled the program will exceed
                the  number  of decimal places set in the DECIMALS field below
                for  the  specified axis in order to show a significant number
                if decimal places.  

            STEP 
                Enable  numbering the axis by the fixed STEP value.  When this
                option  is  used  for  a  LOG  scale the value is a log10 step
                value  (that  is, if STEP is 1.0 the steps will be 1, 10, 100,
                ...).  

            DIV 
                Enable  numbering  the  axis by dividing the axis range by the
                number of divisions set by DIV.  

            DECIMAL PLACES 
                The number of decimal places to print the axis values to.  

            RIGHT JUSTIFY 
                When  displaying  the  axis  numbering  make all of the values
                line  up on the right side.  This applys to the Y1 and Y2 axis
                only.  

            OK 
                Store the changes made and close the dialog.  

            CANCEL 
                Close the dialog and do not save any changes.  


        5.3 Graph Attribute Dialog

        The  Graph  Attribute  dialog  is used to control what is displayed on
        the  graph  that is common to all the plots on the graph.  Optionally,
        a  graph  can  have  axis labels, axis numbering, axis tics, an origin
        line, grid lines and contain no negative values.  

            GRAPH # 
                The current graph number.  This is an uneditable field.  

            AXIS LABELS 
                Enable axis labels for each axis X, Y1 and Y2.  

            AXIS NUMBERS 
                Enable axis numbering for each axis X, Y1 and Y2.  

            AXIS LINES 


    


    V1.1                       RSPLOT User's Guide                          15


                Enable axis lines for each axis X, Y1 and Y2.  

            AXIS TICS 
                Enable axis tic marks for each axis X, Y1, Y2.  

            ORIGIN LINE 
                Enable axis origin line (0.0) for each axis X, Y1 and Y2.  

            AXIS GRID 
                Enable  grid  lines  for  each  axis X, Y1 and Y2.  Grid lines
                appear at each tic mark.  

            NO NEGATIVE 
                Disable  negative  values  for  each axis X, Y1 and Y2.  If an
                axis  is  currently negative then MIN will be set to 0.0.  Any
                attempt to set the axis MIN < 0.0 will fail.  

            OK 
                Store the changed made and close the dialog.  

            CANCEL 
                Close the dialog without storing the changes made.  


        5.4 Plot Shift Dialog 

        A  the  Plot  Shift dialog is displayed along the bottom of the screen
        when  a  graph application is open.  This dialog has four bottons that
        enable  panning through the data along the X axis.  +4 

        SHIFT 
            Clicking  one either the left or right shift button will cause the
            X  axis  scales  to  be moved down or up one axis tic.  If the tic
            marks  are  10 apart then 10 will be subtracted/added from/to XMIN
            and  XMAX.   The  screen  will be redrawn to show the data.  These
            buttons  will  not  work  if  the  axis  scales  are  not  set  up
            correctly.  

        PAGE 
            Clicking  one  either the left or right page button will cause the
            X  axis  scales  to  be  moved down or up one full screen.  If the
            difference   from   XMIN   to   XMAX  is  100  then  100  will  be
            subtracted/added  from/to  XMIN  and  XMAX.   The  screen  will be
            redrawn  to show the new data.  These buttons will not work if the
            axis scales are not set up correctly.  


    6.0 Notes

    If  a  plot  is enabled and the data file is not loaded then the plot will
    be  disabled.  To display the plot you will have to load the data file and
    then re-enable the plot.  



    


    V1.1                       RSPLOT User's Guide                          16


    When  plotting  stacked  bars  the program uses additional memory space to
    hold  the current stack heights.  If you have little free memory available
    the program will give an out of memory error dialog when plotting.  

    The  axis  numbers will not be displayed if the axis scales are not set up
    correctly.  That is, if MIN and/or MAX is blank.  

    It  is  possible  to  get  confused  axis  numbering  by  specifying  axis
    numbering  by  step  and choosing a small step value or by specifying axis
    numbering  by  divisions and specifying a large number of divisions.  This
    can  also  be  accomplished  by  using  alot of decimal places in the axis
    numbering.  

    The  program  will  only  draw  the  first  axis  number when the distance
    between  the  numbers  is  less  than or equal to 8 pixels.  This prevents
    long  pauses  while  the  program  draws  the  axis  numbering  that would
    otherwise be a confused mess.  


    7.0 Warnings

    Beware  of  columns  of  data  that  are missing some values.  A file that
    looks  reasonable  to the user might give a confused plot because a column
    is missing data values.  

        E.G.
                        1       50      35
                        2       60      45
                        3               55
                        4       70      65

        When  the  user  plots  this file (which, to most humans, is missing a
        value in column #2 the program will read in the data file like this: 

                        1       50      35
                        2       60      45
                        3       55
                        4       70      65

        Which  is  missing  a  value in column #3.  This is caused by the fact
        that  a column is defined as any amount of  whitespace followed by any
        amount  of  non-whitespace  followed by, but not including, any amount
        of  whitespace  (whitespace here is any character that is <= 0x20 or >
        0x7F).  

        If  you  must  have  missing  data  in  your  columns  you can use any
        non-numeric  non-whitespace  string  to  fill  in the column position.
        Such as: 

                        1       50      35
                        2       60      45
                        3       **      55
                        4       70      65


    


    V1.1                       RSPLOT User's Guide                          17


        The  **  in row 3 column 2 will preserve the alignment of the data but
        will  not  cause  a  point  to be drawn for row three when column 2 is
        used for plotting.  


    8.0 Future Enhancements

    These  are  some  of the things that I would like to change if I decide to
    produce  an  update  to  the program.  There is no gaurantee that these or
    any other improvements will be made available.  

        It  would be nice if the user could select the type of data storage on
        a  per  file  basis  and  maybe  even  a per column basis.  This would
        greatly  reduce  the  memory  requirements  for  some applications.  I
        would like to see integer, long integer, float and double.  

        Remove the limit on the number of graphs per application.  

        Add  some  data  analysis  features.  Simple stats, linear regression,
        sorting.  

        Add the ability to edit the data window.  

        When  the  X  column is 0 the program generates a column starting at 1
        and  incrementing  for  each  data point in the Y column.  It would be
        nice to set the starting value and increment.  


    9.0 Bug Reporting

    Should  you  find  a  bug  or  would like to suggest an improvement please
    e-mail me at: 
                    bobs@moliman.molienergy.bc.ca 
            or 
                    ...!uunet!van-bc!resrch!moliman!bobs 




















    


    


                                Table Of Contents

                                   RSPLOT V1.0

    1.0 Introduction....................................................    1

    2.0 About the program...............................................    2

       2.1 Applications.................................................    2

       2.2 Axis.........................................................    2

       2.3 User Lines...................................................    2

       2.4 Data Files...................................................    2

       2.5 Data Filtering...............................................    3

       2.6 Rotating Data................................................    3

       2.7 Memory Usage.................................................    3

       2.8 Hard Copy....................................................    3

    3.0 Usage...........................................................    4

       3.1 Create the application.......................................    4

       3.2 Set up the data files........................................    4

       3.3 Set up the axis scales.......................................    4

       3.4 Set up the axis attributes...................................    5

       3.5 Set up the plots.............................................    5

       3.6 Add a graph..................................................    6

    4.0 Menu Entries....................................................    6

       4.1 Menu Layout..................................................    6

       4.2 File Menu....................................................    6
          New...........................................................    6
          Open..........................................................    6
          Save..........................................................    6
          Save As.......................................................    7
          Close.........................................................    7
          Quit..........................................................    7

       4.3 Graph Menu...................................................    7
          Graph Setup...................................................    7
          Plot Setup....................................................    7


                                      - 1 -


    


          Data Setup....................................................    7
          Next Graph....................................................    7
          Prev Graph....................................................    7
          View Data.....................................................    8

       4.4 Attr Menu....................................................    8
          Plot Attr.....................................................    8
          Axis Scales...................................................    8
          Axis Attr.....................................................    8
          Graph Legend..................................................    8
          Graph Titles..................................................    8
          Graph Labels..................................................    8

       4.4 User Menu....................................................    9
          X Numbering...................................................    9
          Y1 Numbering..................................................    9
          Y2 Numbering..................................................    9
          X Lines.......................................................    9
          Y1 Lines......................................................    9
          Y2 Lines......................................................    9

       4.5 Output Menu..................................................    9
          Hardcopy......................................................    9
          Degas.........................................................    9

       4.6 Misc Menu....................................................   10
          Blowup........................................................   10
          Reduce........................................................   10
          Value.........................................................   10

    5.0 Important Dialogs...............................................   10

       5.1 Plot Attributes Dialog.......................................   10

       5.2 Graph Scales Dialog..........................................   13

       5.3 Graph Attribute Dialog.......................................   14

       5.4 Plot Shift Dialog............................................   15

    6.0 Notes...........................................................   15

    7.0 Warnings........................................................   16

    8.0 Future Enhancements ............................................   17

    9.0 Bug Reporting...................................................   17








                                      - 2 -

